For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
      • POSTInquiry created
      • POSTInquiry started
      • POSTInquiry expired
      • POSTInquiry completed
      • POSTInquiry failed
      • POSTInquiry marked for review
      • POSTInquiry approved
      • POSTInquiry declined
      • POSTInquiry transitioned
      • POSTInquiry redacted
      • POSTInquiry reusable-persona created
      • POSTInquiry reusable-persona used
      • POSTInquiry tags updated
LogoLogo
Help CenterOpenAPI SpecStatus
WebhooksInquiry Events

Inquiry tags updated

Payload
1{
2 "data": {
3 "attributes": {
4 "created-at": "2024-03-16T09:15:00.100Z",
5 "name": "inquiry.updated-tags",
6 "payload": {
7 "data": {
8 "id": "inq_kT4xVnR2bPmYwL9sTgD3cExZ",
9 "attributes": {
10 "status": "approved",
11 "behaviors": {},
12 "tags": [
13 "high_value_customer",
14 "manual_review_complete"
15 ],
16 "creator": "creator@example.com",
17 "created-at": "2024-03-15T18:30:00.000Z",
18 "updated-at": "2024-03-16T09:15:00.000Z",
19 "started-at": "2024-03-15T18:31:00.000Z",
20 "decisioned-at": "2024-03-15T18:35:00.000Z",
21 "previous-step-name": "verification_selfie",
22 "next-step-name": "success",
23 "fields": {
24 "name-first": {
25 "type": "string",
26 "value": "Jane"
27 },
28 "name-middle": {
29 "type": "string",
30 "value": "Marie"
31 },
32 "name-last": {
33 "type": "string",
34 "value": "Doe"
35 },
36 "address-street-1": {
37 "type": "string",
38 "value": "123 Main St"
39 },
40 "address-street-2": {
41 "type": "string"
42 },
43 "address-city": {
44 "type": "string",
45 "value": "San Francisco"
46 },
47 "address-subdivision": {
48 "type": "string",
49 "value": "California"
50 },
51 "address-postal-code": {
52 "type": "string",
53 "value": "94111"
54 },
55 "address-country-code": {
56 "type": "string",
57 "value": "US"
58 },
59 "birthdate": {
60 "type": "date",
61 "value": "1995-09-08"
62 },
63 "email-address": {
64 "type": "string",
65 "value": "jane@example.com"
66 },
67 "phone-number": {
68 "type": "string"
69 },
70 "identification-number": {
71 "type": "string"
72 }
73 }
74 },
75 "relationships": {
76 "account": {
77 "data": {
78 "id": "act_fJ8mQpDLrYvNcBzWk5HsAxRy",
79 "type": "account"
80 }
81 },
82 "documents": {
83 "data": []
84 },
85 "template": {},
86 "inquiry-template": {
87 "data": {
88 "id": "itmpl_AbN9KvR4LmT2WqYxPdHsZgFc",
89 "type": "inquiry-template"
90 }
91 },
92 "inquiry-template-version": {
93 "data": {
94 "id": "itmplv_LqX3jYwK7HnRpZmCvBdF8RtA",
95 "type": "inquiry-template-version"
96 }
97 },
98 "reports": {
99 "data": []
100 },
101 "transaction": {},
102 "reviewer": {
103 "data": {
104 "id": "wfr_M7vXNqRpL3kBzW4tYcHdJgFs",
105 "type": "workflow-run"
106 }
107 },
108 "selfies": {
109 "data": []
110 },
111 "sessions": {
112 "data": [
113 {
114 "id": "iqse_NkPwRtQv5xB8cYm2L4jZdHsF",
115 "type": "inquiry-session"
116 }
117 ]
118 },
119 "verifications": {
120 "data": [
121 {
122 "id": "ver_X3kHmRqV9YpZ2nBwL5tGdJcE",
123 "type": "verification/government-id"
124 }
125 ]
126 }
127 },
128 "type": "inquiry"
129 },
130 "included": [
131 {
132 "type": "inquiry-template",
133 "attributes": {
134 "name": "Example KYC Template",
135 "status": "active"
136 },
137 "id": "itmpl_AbN9KvR4LmT2WqYxPdHsZgFc",
138 "relationships": {
139 "latest-published-version": {
140 "data": {
141 "type": "inquiry-template-version",
142 "id": "itmplv_LqX3jYwK7HnRpZmCvBdF8RtA"
143 }
144 }
145 }
146 },
147 {
148 "type": "inquiry-template-version",
149 "attributes": {
150 "name-display": "Example KYC Flow",
151 "status": "published"
152 },
153 "id": "itmplv_LqX3jYwK7HnRpZmCvBdF8RtA",
154 "relationships": {
155 "inquiry-template": {
156 "data": {
157 "type": "inquiry-template",
158 "id": "itmpl_AbN9KvR4LmT2WqYxPdHsZgFc"
159 }
160 }
161 }
162 },
163 {
164 "type": "inquiry-session",
165 "attributes": {
166 "status": "expired",
167 "created-at": "2024-03-15T18:31:00.000Z",
168 "started-at": "2024-03-15T18:31:00.000Z",
169 "expired-at": "2024-03-15T18:35:00.000Z",
170 "ip-address": "192.0.2.4",
171 "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36",
172 "os-name": "Mac",
173 "os-full-version": "10.15.7",
174 "device-type": "desktop",
175 "browser-name": "Chrome",
176 "browser-full-version": "115.0.0.0",
177 "is-proxy": false,
178 "is-tor": false,
179 "is-datacenter": false,
180 "is-vpn": false,
181 "threat-level": "low",
182 "country-code": "US",
183 "country-name": "United States",
184 "region-code": "CA",
185 "region-name": "California",
186 "latitude": 37.7749,
187 "longitude": -122.4194
188 },
189 "id": "iqse_NkPwRtQv5xB8cYm2L4jZdHsF",
190 "relationships": {
191 "inquiry": {
192 "data": {
193 "type": "inquiry",
194 "id": "inq_kT4xVnR2bPmYwL9sTgD3cExZ"
195 }
196 }
197 }
198 }
199 ]
200 }
201 },
202 "id": "evt_mNoPqRsTuVwXyZaBcDeFgHiJ",
203 "type": "event"
204 }
205}
Webhook for the `inquiry.updated-tags` event. Fired when one or more tags are added to or removed from an Inquiry. The delivered payload contains the Inquiry's full attributes — including the current `tags` array reflecting the post-update state. For more info see [Webhooks Overview](https://docs.withpersona.com/webhooks).
Was this page helpful?
Previous

Inquiry session started

Next
Built with

Webhook for the inquiry.updated-tags event. Fired when one or more tags are added to or removed from an Inquiry. The delivered payload contains the Inquiry’s full attributes — including the current tags array reflecting the post-update state. For more info see Webhooks Overview.

Headers

Persona-SignaturestringOptional

Header. An HMAC that you should use to check that requests are authentic. Compare this value with your own digest, computed from the request body and your webhook secret. For more info see Webhook Best Practices.

Persona-Webhook-Attempts-MadeintegerOptional
The number of times that Persona has attempted to deliver this webhook. This value is incremented each time Persona attempts to deliver the webhook, regardless of whether the delivery was successful.
Persona-Webhook-Attempts-LeftintegerOptional
The number of times that Persona will attempt to deliver this webhook. This value is decremented each time Persona attempts to deliver the webhook.
Persona-Webhook-First-Attempted-AtintegerOptional
The time at which Persona first attempted to deliver this webhook. This value is a Unix timestamp in seconds.

Payload

The payload of this webhook request is an object.
dataobjectOptional

Response

200

Return a 2xx status code to indicate that the data was received successfully. Any other status will trigger retries. For more info see Retry Logic.